body {
	margin: 0;
}

:root {
	--bg: #C1C1C1;
	--text: #39424E;
	--small_border: 4px;
	--big_border: 14px
}

section {
	height: 100vh;
	width: 100vw;
	overflow: hidden;
	position: relative;
	z-index: 0;
}

.bullets {
	position: fixed;
	left: 30px;
	top: 50%;
	transform: translateY(-50%);
	display: flex;
	flex-direction: column;
	z-index: 999;
}

.bullet {
	width: 20px;
	height: 20px;
	transform: rotate(45deg);
	margin: 10px 0;
	border-radius: 30%;
	background-color: var(--text);
	border: 5px solid var(--text);
	display: block;
	position: relative;
	cursor: pointer;
	z-index: 999;
	transition: all 0.3s ease;
}

.bullet:hover::after {
	content: attr(data-title);
	position: absolute;
	left: 100%;
	top: 50%;
	transform: translateY(-50%);
	color: var(--text);
	padding: 5px 10px;
	white-space: nowrap;
	opacity: 1;
}

.bullet.active {
	background-color: var(--bg);
}

.bullet::after {
	content: '';
	opacity: 0;
	transition: opacity 0.3s ease;
}

.bullets .line {
	position: fixed;
	left: 40%;
	top: 50%;
	transform: translateY(-50%);
	height: 95%;
	width: 6px;
	background-color: var(--text);
	z-index: 900;
}

@media screen and (max-width: 1200px) {
	.bullet {
		width: 10px;
		height: 10px;
	}

	.bullets .line {
		width: 4px;
		height: 90%;
	}
}

@media screen and (max-width: 960px) {
	.bullets {
		display: none;
	}

	/* section {
		height: inherit;
	} */
}

@media screen and (min-width: 900px) {
	body {
		overflow: hidden;
	}

}